Subject: bug#4091: No Japanese Katakana input with shift pressed in Japanese input mode (Kotoeri/Mac)

From: Jean-Christophe Helary <[email-masked]>
Date: Sun, 9 Aug 2009 17:14:42 +0900

My mistake. In AE 1.8 Shift+kb in Kotoeri works indeed. How can I  
correct this bug report ?

On Aug 9, 2009, at 5:08 PM, YAMAMOTO Mitsuharu wrote:

>>>>>> On Sun, 9 Aug 2009 11:03:52 +0900, Jean-Christophe Helary <[email-masked] 
>>>>>> > said:
>
>> I am using a Japanese input method (Kotoeri) that allows direct
>> input of Katakana while holding the shift key.  In Aquamacs 1.8 and
>> 2.0 preview holding the shift key only produces capital alphabet
>> letters, not katakana signs.
>
> The NS port (23.1) behaves as you describe, but the Carbon port (22.3)
> can correctly input Katakana characters with the shift key.  I tested
> with US-keyboard with Hiragana-mode/Romaji-input.
>
> 				     YAMAMOTO Mitsuharu
> 				[email-masked]

Jean-Christophe Helary